Method: projects.locations.experiments.stop

Stops a running Experiment. This method initiates the process of reverting any changes made by the Experiment, returning the affected resources to their normal state. The Experiment state will transition to REVERTING and then to COMPLETED.

HTTP request

POST https://faulttesting.googleapis.com/v1alpha/{name=projects/*/locations/*/experiments/*}:stop

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the experiment to stop. Format: projects/{projectId}/locations/{location}/experiments/{experimentId}.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Experiment.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/cloud-platform

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the name resource:

  • faulttesting.experiments.update

For more information, see the IAM documentation.